org.optaplanner.core.config.constructionheuristic.placer

## Class QueuedEntityPlacerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig<QueuedEntityPlacerConfig>
    - - org.optaplanner.core.config.constructionheuristic.placer.QueuedEntityPlacerConfig

-     public class QueuedEntityPlacerConfig
      extends EntityPlacerConfig<QueuedEntityPlacerConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EntitySelectorConfig` | `entitySelectorConfig`
    `protected List<MoveSelectorConfig>` | `moveSelectorConfigList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueuedEntityPlacerConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueuedEntityPlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy)`
    `EntitySelectorConfig` | `getEntitySelectorConfig()`
    `List<MoveSelectorConfig>` | `getMoveSelectorConfigList()`
    `void` | `inherit(QueuedEntityPlacerConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
    `void` | `setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)`
    `String` | `toString()`
    `static QueuedEntityPlacerConfig` | `unfoldNew(HeuristicConfigPolicy configPolicy, List<MoveSelectorConfig> templateMoveSelectorConfigList)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entitySelectorConfig

          protected EntitySelectorConfig entitySelectorConfig

    - #### moveSelectorConfigList

          protected List<MoveSelectorConfig> moveSelectorConfigList

  - ### Constructor Detail

    - #### QueuedEntityPlacerConfig

          public QueuedEntityPlacerConfig()

  - ### Method Detail

    - #### unfoldNew

          public static QueuedEntityPlacerConfig unfoldNew(HeuristicConfigPolicy configPolicy,
                                                           List<MoveSelectorConfig> templateMoveSelectorConfigList)

    - #### getEntitySelectorConfig

          public EntitySelectorConfig getEntitySelectorConfig()

    - #### setEntitySelectorConfig

          public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

    - #### getMoveSelectorConfigList

          public List<MoveSelectorConfig> getMoveSelectorConfigList()

    - #### setMoveSelectorConfigList

          public void setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)

    - #### buildEntityPlacer

          public QueuedEntityPlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy)

      Specified by:
        `buildEntityPlacer` in class `EntityPlacerConfig<QueuedEntityPlacerConfig>`

    - #### inherit

          public void inherit(QueuedEntityPlacerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `EntityPlacerConfig<QueuedEntityPlacerConfig>`
      Parameters:
        `inheritedConfig` - never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<QueuedEntityPlacerConfig>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.